_final: prev:
let
  inherit (prev) callPackage;
  inherit (prev) fetchpatch;
in
{

  pcmanfm = prev.pcmanfm.overrideAttrs (_: {
    # remove deskop preferences shortcut
    postInstall = ''
      rm $out/share/applications/pcmanfm-desktop-pref.desktop
    '';
  });
  # fix slow escape key
  zsh-vi-mode = prev.zsh-vi-mode.overrideAttrs (_: {
    patches = [
      (fetchpatch {
        url = "https://patch-diff.githubusercontent.com/raw/jeffreytse/zsh-vi-mode/pull/308.patch";
        hash = "sha256-8NUQ9mtf20TSKlfvhTZQSC0xcB27pdSZoGE/seuZOiw=";
      })
    ];
  });
  pww = callPackage ../pkgs/pww { };
  ianny = callPackage ../pkgs/ianny { };

  tpm2-pkcs11 = prev.tpm2-pkcs11.override { fapiSupport = false; };
  gnome-break-timer = callPackage ../pkgs/gnome-break-timer { };
  jmri = callPackage ../pkgs/jmri { };
  adguardian-term = callPackage ../pkgs/adguardian-term { };
}
